import request from '@/utils/request'

// 查询AI适配场景列表
export function listAiScene(query) {
  return request({
    url: '/sfa/aiScene/list',
    method: 'get',
    params: query
  })
}
export function listAiScenelistAll(query) {
  return request({
    url: '/sfa/aiScene/listAll',
    method: 'get',
    params: query
  })
}
// 查询AI适配场景详细
export function getAiScene(sceneId) {
  return request({
    url: '/sfa/aiScene/' + sceneId,
    method: 'get'
  })
}

// 新增AI适配场景
export function addAiScene(data) {
  return request({
    url: '/sfa/aiScene',
    method: 'post',
    data: data
  })
}

// 修改AI适配场景
export function updateAiScene(data) {
  return request({
    url: '/sfa/aiScene',
    method: 'put',
    data: data
  })
}

// 删除AI适配场景
export function delAiScene(sceneId) {
  return request({
    url: '/sfa/aiScene/' + sceneId,
    method: 'delete'
  })
}
